com.mockobjects.mail

## Class MockTransport

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.mail.MockService
    - - com.mockobjects.mail.MockTransport

- All Implemented Interfaces:
    Service, Transport, Verifiable

      public class MockTransport
      extends MockService
      implements Transport

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockTransport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransportListener(TransportListener transportListener)`
    `void` | `removeTransportListener(TransportListener transportListener)`
    `void` | `send(Message aMessage)`
    `void` | `send(Message msg, Address[] address)`
    `void` | `sendMessage(Message msg, Address[] address)`
    `void` | `setExpectedMessage(Message aMessage)`

    - ### Methods inherited from class com.mockobjects.mail.MockService

      `addConnectionListener, close, connect, connect, connect, getURLName, isConnected, removeConnectionListener, setExpectedCloseCalls`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface alt.javax.mail.Service

      `addConnectionListener, close, connect, connect, connect, getURLName, isConnected, removeConnectionListener, toString`

- - ### Constructor Detail

    - #### MockTransport

          public MockTransport()

  - ### Method Detail

    - #### setExpectedMessage

          public void setExpectedMessage(Message aMessage)

    - #### send

          public void send(Message aMessage)

      Specified by:
        `send` in interface `Transport`

    - #### send

          public void send(Message msg,
                           Address[] address)

      Specified by:
        `send` in interface `Transport`

    - #### sendMessage

          public void sendMessage(Message msg,
                                  Address[] address)

      Specified by:
        `sendMessage` in interface `Transport`

    - #### addTransportListener

          public void addTransportListener(TransportListener transportListener)

      Specified by:
        `addTransportListener` in interface `Transport`

    - #### removeTransportListener

          public void removeTransportListener(TransportListener transportListener)

      Specified by:
        `removeTransportListener` in interface `Transport`

Copyright © 2002 Mock Objects. All Rights Reserved.